Subject: export MAXJIGDOS=ALL has error in Debian 11 bullseye

From: xiao sheng wen(肖盛文) <[email-masked]>
Date: Mon, 14 Nov 2022 12:08:28 +0800

Package: simple-cdd
Version: 0.6.8
Severity: normal
X-Debbugs-Cc: [email-masked]

Hi,

  I use "export MAXJIGDOS=ALL" in my build.conf to get jigdo files.
It has no problem in Debian 10, but the same build.conf has error in Debian 11.

2022-11-14 11:32:41,691 DEBUG build/debian-cd stdout: xorriso -as mkisofs -r -checksum_algorithm_iso sha256,sha512 -V 'atzlinux 11.5.1 amd64 1' -o /home/atzlinux/isodvd/images/atzlinux-11.5.1-amd64-DVD-1.iso -checksum-list /home/atzlinux/isodvd/tmp/cd-build/bullseye/checksum-check -jigdo-checksum-algorithm -jigdo-force-checksum /pool/ -jigdo-jigdo /home/atzlinux/isodvd/images/atzlinux-11.5.1-amd64-DVD-1.jigdo -jigdo-template /home/atzlinux/isodvd/images/atzlinux-11.5.1-amd64-DVD-1.template -jigdo-map Debian=/home/atzlinux/isodvd/tmp/mirror/ -jigdo-exclude boot1 -J -joliet-long -cache-inodes -isohybrid-mbr syslinux/usr/lib/ISOLINUX/isohdpfx.bin -b isolinux/isolinux.bin -c isolinux/boot.cat -boot-load-size 4 -boot-info-table -no-emul-boot -eltorito-alt-boot -e boot/grub/efi.img -no-emul-boot -isohybrid-gpt-basdat -isohybrid-apm-hfsplus boot1 CD1
2022-11-14 11:32:41,694 DEBUG build/debian-cd stderr: xorriso 1.5.2 : RockRidge filesystem manipulator, libburnia project.
2022-11-14 11:32:41,694 DEBUG build/debian-cd stderr:
2022-11-14 11:32:41,695 DEBUG build/debian-cd stderr: Drive current: -outdev 'stdio:/home/atzlinux/isodvd/images/atzlinux-11.5.1-amd64-DVD-1.iso'
2022-11-14 11:32:41,695 DEBUG build/debian-cd stderr: Media current: stdio file, overwriteable
2022-11-14 11:32:41,695 DEBUG build/debian-cd stderr: Media status : is blank
2022-11-14 11:32:41,695 DEBUG build/debian-cd stderr: Media summary: 0 sessions, 0 data blocks, 0 data, 11.4g free
2022-11-14 11:32:41,695 DEBUG build/debian-cd stderr: xorriso : WARNING : -volid text problematic as automatic mount point name
2022-11-14 11:32:41,696 DEBUG build/debian-cd stderr: xorriso : WARNING : -volid text does not comply to ISO 9660 / ECMA 119 rules
2022-11-14 11:32:41,696 DEBUG build/debian-cd stderr: xorriso : FAILURE : libjte: Unknown checksum algorithm -jigdo-force-checksum
2022-11-14 11:32:41,696 DEBUG build/debian-cd stderr: xorriso : FAILURE : Experienced libjte failure with: -jigdo -jigdo-checksum-algorithm -jigdo-force-checksum
2022-11-14 11:32:41,696 DEBUG build/debian-cd stderr: xorriso : aborting : -abort_on 'FAILURE' encountered 'FAILURE'
2022-11-14 11:32:41,698 DEBUG build/debian-cd stderr: make: *** [Makefile:498：images] error 5
2022-11-14 11:32:41,698 DEBUG build/debian-cd retval: 2
2022-11-14 11:32:41,699 ERROR build/debian-cd exited with code 2
2022-11-14 11:32:41,699 ERROR Last 5 lines of standard error:
2022-11-14 11:32:41,699 ERROR build/debian-cd: xorriso : WARNING : -volid text does not comply to ISO 9660 / ECMA 119 rules
2022-11-14 11:32:41,699 ERROR build/debian-cd: xorriso : FAILURE : libjte: Unknown checksum algorithm -jigdo-force-checksum
2022-11-14 11:32:41,699 ERROR build/debian-cd: xorriso : FAILURE : Experienced libjte failure with: -jigdo -jigdo-checksum-algorithm -jigdo-force-checksum
2022-11-14 11:32:41,699 ERROR build/debian-cd: xorriso : aborting : -abort_on 'FAILURE' encountered 'FAILURE'
2022-11-14 11:32:41,699 ERROR build/debian-cd: make: *** [Makefile:498：images] error 5
2022-11-14 11:32:41,700 ERROR build/debian-cd exited with code 2, full log can be found in /home/atzlinux/isodvd/tmp/log/build-debian-c

In Debian 11, xorriso --version is 1.5.2.
In debian-cd package(version is 3.1.35 in Debian 11),
there is one xorriso verison compare in:

https://salsa.debian.org/images-team/debian-cd/-/blob/master/tools/make_image#L97

When simple-cdd run on Debian 10(xorriso 1.5.0), JIGDO_CHECKSUM_OPTS will use
 -jigdo-force-md5, it's no problem;

But when simple-cdd run on Debian 11(xorriso 1.5.2), JIGDO_CHECKSUM_OPTS will
be -jigdo-checksum-algorithm $JIGDO_CHECKSUM,
unfortunately,
the $JIGDO_CHECKSUM is not exist in Debian 11 when running simple-cdd.

After I add "export JIGDO_CHECKSUM="md5"" in my build.conf, the build will success.

In debian-cd package, the $JIGDO_CHECKSUM  had set in:
https://salsa.debian.org/images-team/debian-cd/-/blob/master/CONF.sh#L191

but simple-cdd has not use this variable in the building default.

Is this a bug of simple-cdd? or debian-cd?

I suggest use(pass) JIGDO_CHECKSUM="md5" default in simple-cdd.

Thanks!

xiao sheng wen
https://www.atzlinux.com 《铜豌豆 Linux》基于 Debian 的 Linux 中文 桌面 操作系统
Debian QA page: https://qa.debian.org/developer.php?login=atzlinux%40sina.com
Debian salsa: https://salsa.debian.org/atzlinux-guest
GnuPG Public Key: 0x00186602339240CB

-- System Information:
Release:	11.5
Codename:	bullseye
Architecture: x86_64

Kernel: Linux 5.10.0-19-rt-amd64 (SMP w/4 CPU threads; PREEMPT)
Locale: LANG=zh_CN.UTF-8, LC_CTYPE=zh_CN.UTF-8 (charmap=UTF-8), LANGUAGE=zh_CN:zh
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages simple-cdd depends on:
ii  dctrl-tools         2.24-3+b1
ii  debian-cd           3.1.35
ii  lsb-release         11.1.0
ii  python3             3.9.2-3
ii  python3-simple-cdd  0.6.8
ii  reprepro            5.3.1-1~bpo11+1
ii  rsync               3.2.4-1~bpo11+1
ii  wget                1.21-1+deb11u1

Versions of packages simple-cdd recommends:
ii  dose-distcheck  6.0.1-2

Versions of packages simple-cdd suggests:
pn  qemu-system | qemu-kvm  <none>

-- no debconf information